Bug 211315 - SELinux xattr support in GFS 6.1 RHEL4
SELinux xattr support in GFS 6.1 RHEL4
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: gfs (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ryan O'Hara
GFS Bugs
: FutureFeature
Depends On:
Blocks: 211316
  Show dependency treegraph
Reported: 2006-10-18 12:47 EDT by Jan Wildeboer
Modified: 2010-01-11 22:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-08-05 17:37:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
SELinux support for GFS, RHEL4. (5.56 KB, patch)
2006-11-06 16:15 EST, Ryan O'Hara
no flags Details | Diff

  None (edit)
Description Jan Wildeboer 2006-10-18 12:47:17 EDT
Description of problem:

Right now the implementation of xattr in GFS for RHEL4 lacks support for SELinux

Version-Release number of selected component (if applicable):


How reproducible:

Try to use SELinux context on files/dirs on a GFS mount

Steps to Reproduce:
1. Install GFS
2. Use SELinux
3. Try to set context on GFS mount
Actual results:

No Support for SELinux xattr handling

Expected results:

Support for SELinux xattr handling

Additional info:

Patch is available, would be good to have it in > U5
Comment 2 Kiersten (Kerri) Anderson 2006-10-18 18:30:12 EDT
RHEL 4 request.
Comment 3 Ryan O'Hara 2006-11-06 16:11:49 EST
I have checked-in code for SELinux support to the RHEL4 branch. I'll post a
patch here, too.

Please note that the SELinux policy requires changes, too. Specifically, it must
be defined to be a filesystem that supports SELinux xattrs and removed from the
list of "generic" filesystems. Its a very simple change. I just wanted to
mention that the SELinux code for will not function properly without the correct
changes to the policy.

Comment 4 Ryan O'Hara 2006-11-06 16:15:54 EST
Created attachment 140508 [details]
SELinux support for GFS, RHEL4.
Comment 5 Chris Feist 2008-08-05 17:37:19 EDT
Fixed in current release (4.7).

Note You need to log in before you can comment on or make changes to this bug.